package com.jpsoft.shinestar.modules.business.dao;

import com.jpsoft.shinestar.modules.business.entity.AdjustShift;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-27 15:15
 */
@Repository
public interface AdjustShiftDAO {

    int insert(AdjustShift entity);
    int update(AdjustShift entity);
    int exist(String id);
    AdjustShift get(String id);
    int delete(String id);
    List<AdjustShift> list();
    List<AdjustShift> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<AdjustShift> findBySchedulingIdAndStatus(String schedulingId, String status);
}
